You are not logged in.

#1 2021-05-11 10:13:05

Stefan_xyz
Member
Registered: 2019-09-01
Posts: 91

auracle-git thinks it requires pod2man

When I tried to upgrade my AUR package I got the error that auracle-git couldn't be upgraded.
So I removed it and tried to reinstall it and now I get the following error:

Program pod2man found: NO

meson.build:59:0: ERROR: Program 'pod2man' not found

A full log can be found at /aur/auracle-git/src/auracle/build/meson-logs/meson-log.txt
==> ERROR: A failure occurred in build().
    Aborting...

The full log tells us not much more:

Program pod2man found: NO

meson.build:59:0: ERROR: Program 'pod2man' not found

Now normally I would just install pod2man and continue but according to the AUR pinned comment the issue is on my side.
So does anybody know where the issue is because I can't make out what the issue is.








And heres the entire screen output from makepkg for those who want to check it.:

stefan@arch auracle-git $ makepkg -C PKGBUILD 
==> Making package: auracle-git r366.8739929-1 (Tue 11 May 2021 12:02:11 PM CEST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Updating auracle git repo...
Fetching origin
==> Validating source files with sha256sums...
    auracle ... Skipped
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Creating working copy of auracle git repo...
Cloning into 'auracle'...
done.
==> Starting pkgver()...
==> Removing existing $pkgdir/ directory...
==> Starting build()...
The Meson build system
Version: 0.58.0
Source dir: /aur/auracle-git/src/auracle
Build dir: /aur/auracle-git/src/auracle/build
Build type: native build
Project name: auracle
Project version: 0
C++ compiler for the host machine: c++ (gcc 10.2.0 "c++ (GCC) 10.2.0")
C++ linker for the host machine: c++ ld.bfd 2.36.1
Host machine cpu family: x86_64
Host machine cpu: x86_64
Compiler for C++ supports arguments -ffunction-sections: YES 
Compiler for C++ supports arguments -fdata-sections: YES 
Compiler for C++ supports link arguments -Wl,--gc-sections: YES 
Found pkg-config: /usr/bin/pkg-config (1.7.3)
Found CMake: /usr/bin/cmake (3.20.2)
Run-time dependency nlohmann_json found: NO (tried pkgconfig and cmake)
Looking for a fallback subproject for the dependency nlohmann_json
Downloading nlohmann_json source from https://github.com/nlohmann/json/releases/download/v3.9.1/include.zip
Download size: 309315
Downloading: ..........

Executing subproject nlohmann_json 

nlohmann_json| Project name: nlohmann_json
nlohmann_json| Project version: 3.9.1
nlohmann_json| C++ compiler for the host machine: c++ (gcc 10.2.0 "c++ (GCC) 10.2.0")
nlohmann_json| C++ linker for the host machine: c++ ld.bfd 2.36.1
nlohmann_json| Build targets in project: 0
nlohmann_json| Subproject nlohmann_json finished.

Dependency nlohmann_json from subproject subprojects/nlohmann_json-3.9.1 found: YES 3.9.1
Run-time dependency libalpm found: YES 12.0.2
Run-time dependency libcurl found: YES 7.76.1
Run-time dependency fmt found: YES 7.1.3
Run-time dependency libsystemd found: YES 248
Run-time dependency GTest found: YES 1.10.0
Run-time dependency GMock found: YES 1.10.0
Downloading abseil-cpp source from https://github.com/abseil/abseil-cpp/archive/20200225.2.zip
Download size: 2472769
Downloading: ..........
Downloading abseil-cpp patch from https://github.com/mesonbuild/abseil-cpp/releases/download/20200225.2-2/abseil-cpp.zip
Download size: 2813
Downloading: ..........

Executing subproject abseil-cpp 

abseil-cpp| Project name: abseil-cpp
abseil-cpp| Project version: 20200225.2
abseil-cpp| C++ compiler for the host machine: c++ (gcc 10.2.0 "c++ (GCC) 10.2.0")
abseil-cpp| C++ linker for the host machine: c++ ld.bfd 2.36.1
abseil-cpp| Compiler for C++ supports arguments -Wno-sign-compare: YES
abseil-cpp| Checking if "GCC atomic builtins" links: YES
abseil-cpp| Run-time dependency threads found: YES
abseil-cpp| Build targets in project: 12
abseil-cpp| Subproject abseil-cpp finished.

Program pod2man found: NO

meson.build:59:0: ERROR: Program 'pod2man' not found

A full log can be found at /aur/auracle-git/src/auracle/build/meson-logs/meson-log.txt
==> ERROR: A failure occurred in build().
    Aborting...

Offline

#2 2021-05-11 12:35:54

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 13,273

Re: auracle-git thinks it requires pod2man

What does your $PATH look like?

Offline

#3 2021-05-11 12:48:44

Scimmia
Fellow
Registered: 2012-09-01
Posts: 8,605

Re: auracle-git thinks it requires pod2man

Do you have unmerged .pacnew files?

Offline

#4 2021-05-13 11:28:43

Stefan_xyz
Member
Registered: 2019-09-01
Posts: 91

Re: auracle-git thinks it requires pod2man

V1del wrote:

What does your $PATH look like?

This is my path

/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/lib/jvm/default/bin:/home/stefan//.rvm/bin:/home/stefan/.rvm/bin:/home/stefan//.rvm/bin:/home/stefan//bin

Offline

#5 2021-05-13 11:30:04

Stefan_xyz
Member
Registered: 2019-09-01
Posts: 91

Re: auracle-git thinks it requires pod2man

Scimmia wrote:

Do you have unmerged .pacnew files?

How do I do that?

Offline

#6 2021-05-13 11:46:34

ayekat
Member
Registered: 2011-01-17
Posts: 1,454
Website

Re: auracle-git thinks it requires pod2man

What shell are you using, and how exactly are you launching it (or at least, are you somehow (re)setting PATH in some non-standard way)?

Because this part of PATH looks awkward:

Stefan_xyz wrote:
/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:…

/etc/profile doesn't add the paths to PATH in that order, and also it doesn't add /bin to PATH at all.

Also this part tells me something is doing awkward things with PATH:

…:/home/stefan//.rvm/bin:/home/stefan/.rvm/bin:/home/stefan//.rvm/bin:/home/stefan//bin

This repetition here makes me suspect that you are appending paths to PATH in .bashrc, .zshrc or any other location that isn't meant for that.

Scimmia wrote:

Do you have unmerged .pacnew files?

How do I do that?

See https://wiki.archlinux.org/title/Pacman … nd_Pacsave

The main issue is that your PATH doesn't contain the Perl paths, but those should usually be appended by /etc/profile. One possibility is that you have simply not logged in since installing Perl for the first time on your system (so /etc/profile hasn't been sourced ever since), but given the look of your PATH, it's more likely that your shell environment is otherwise slightly broken.

Last edited by ayekat (2021-05-13 11:54:57)


{,META,RE}PKGBUILDSpacman-hacks (includes makemetapkg and remakepkg) │ dotfiles

Offline

#7 2021-05-14 09:28:26

Stefan_xyz
Member
Registered: 2019-09-01
Posts: 91

Re: auracle-git thinks it requires pod2man

I use bash and in my bashrc I add the following to path:

# Add RVM to PATH for scripting. Make sure this is the last PATH variable change.
export PATH="$PATH:$HOME//.rvm/bin"
export PATH="$PATH:$HOME//bin"

Now the last statement (I just realized) actually doesn't do anything, since the directory doesn't exist.
I didn't do anything with my the /etc/profile file and I'm certain that the script in my bashrc was copy-pasted (or automatically added).

After removing both statements out of my bashrc and rebooting my $PATH looks like this:

/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/lib/jvm/default/bin:/home/stefan//.rvm/bin:/home/stefan/.rvm/bin

You got any idea what I could try?

Offline

#8 2021-05-14 09:50:42

progandy
Member
Registered: 2012-05-17
Posts: 4,428

Re: auracle-git thinks it requires pod2man

perl is installed correctly and /etc/profile.d/perlbin.sh does exist?

pacman -Qikk perl

Last edited by progandy (2021-05-14 09:51:59)


| alias CUTF='LANG=en_XX.UTF-8@POSIX ' |

Online

#9 2021-05-14 12:01:11

Scimmia
Fellow
Registered: 2012-09-01
Posts: 8,605

Re: auracle-git thinks it requires pod2man

Stefan_xyz wrote:

You got any idea what I could try?

Did you merge your .pacnew files yet?

Offline

#10 2021-05-14 13:48:43

Stefan Husmann
Member
From: Germany
Registered: 2007-08-07
Posts: 1,204

Re: auracle-git thinks it requires pod2man

On my box /etc/profile.d/perlbin.sh looks like this:

cat /etc/profile.d/perlbin.sh
# Set path to perl scriptdirs if they exist
# https://wiki.archlinux.org/index.php/Perl_Policy#Binaries_and_scripts
# Added /usr/bin/*_perl dirs for scripts

[ -d /usr/bin/site_perl ] && PATH=$PATH:/usr/bin/site_perl

[ -d /usr/bin/vendor_perl ] && PATH=$PATH:/usr/bin/vendor_perl

[ -d /usr/bin/core_perl ] && PATH=$PATH:/usr/bin/core_perl

export PATH

# If you have modules in non-standard directories you can add them here.
#export PERLLIB=dir1:dir2

Offline

#11 2021-05-14 13:54:36

Scimmia
Fellow
Registered: 2012-09-01
Posts: 8,605

Re: auracle-git thinks it requires pod2man

Which means your perl package is 8 months out of date.

Offline

#12 2021-05-15 08:19:57

Stefan Husmann
Member
From: Germany
Registered: 2007-08-07
Posts: 1,204

Re: auracle-git thinks it requires pod2man

No, the file is owned by perl 5.32.1, which is in [core].

Offline

#13 2021-05-15 08:59:13

progandy
Member
Registered: 2012-05-17
Posts: 4,428

Re: auracle-git thinks it requires pod2man

ayekat wrote:

Because this part of PATH looks awkward:

Stefan_xyz wrote:
/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:…

/etc/profile doesn't add the paths to PATH in that order, and also it doesn't add /bin to PATH at all.

I have that as well using lightdm. I have not yet found the reason for that order, systemd starts lightdm with the path "/usr/local/sbin:/usr/local/bin:/usr/bin"...


| alias CUTF='LANG=en_XX.UTF-8@POSIX ' |

Online

#14 2021-05-15 09:16:14

Stefan_xyz
Member
Registered: 2019-09-01
Posts: 91

Re: auracle-git thinks it requires pod2man

progandy wrote:

perl is installed correctly and /etc/profile.d/perlbin.sh does exist?

pacman -Qikk perl

Yup output of the command:

Name            : perl
Version         : 5.32.1-1
Description     : A highly capable, feature-rich programming language
Architecture    : x86_64
URL             : https://www.perl.org
Licenses        : GPL  PerlArtistic
Groups          : None
Provides        : perl-archive-tar=2.36  perl-attribute-handlers=1.01  perl-autodie=2.32  perl-autoloader=5.74  perl-autouse=1.11  perl-base=2.27  perl-bignum=0.51  perl-carp=1.50  perl-compress-raw-bzip2=2.093  perl-compress-raw-zlib=2.093  perl-config-perl-v=0.32  perl-constant=1.33
                  perl-cpan-meta-requirements=2.140  perl-cpan-meta-yaml=0.018  perl-cpan-meta=2.150010  perl-cpan=2.27  perl-data-dumper=2.174_01  perl-db_file=1.853  perl-devel-ppport=3.57  perl-devel-selfstubber=1.06  perl-digest-md5=2.55_01  perl-digest-sha=6.02  perl-digest=1.17_01  perl-dumpvalue=1.21
                  perl-encode=3.06  perl-encoding-warnings=0.13  perl-env=1.04  perl-experimental=0.020  perl-exporter=5.74  perl-extutils-cbuilder=0.280234  perl-extutils-constant=0.25  perl-extutils-install=2.14  perl-extutils-makemaker=7.44  perl-extutils-manifest=1.72  perl-extutils-parsexs=3.40
                  perl-file-fetch=0.56  perl-file-path=2.16  perl-file-temp=0.2309  perl-filter-simple=0.96  perl-filter-util-call=1.59  perl-findbin=1.51  perl-getopt-long=2.51  perl-http-tiny=0.076  perl-i18n-collate=1.02  perl-i18n-langtags=0.44  perl-if=0.0608  perl-io-compress=2.093  perl-io-socket-ip=0.39
                  perl-io-zlib=1.10  perl-io=1.43  perl-ipc-cmd=1.04  perl-ipc-sysv=2.07  perl-json-pp=4.04  perl-lib=0.65  perl-libnet=3.11  perl-locale-maketext-simple=0.21_01  perl-locale-maketext=1.29  perl-math-bigint-fastcalc=0.5009  perl-math-bigint=1.999818  perl-math-bigrat=0.2614
                  perl-math-complex=1.5901  perl-memoize=1.03_01  perl-mime-base64=3.15  perl-module-corelist=5.20210123  perl-module-load-conditional=0.70  perl-module-load=0.34  perl-module-loaded=0.08  perl-module-metadata=1.000037  perl-net-ping=2.72  perl-params-check=0.38  perl-parent=0.238
                  perl-pathtools=3.78  perl-perl-ostype=1.010  perl-perlfaq=5.20200523  perl-perlio-via-quotedprint=0.08  perl-pod-checker=1.73  perl-pod-escapes=1.07  perl-pod-perldoc=3.2801  perl-pod-simple=3.40  perl-pod-usage=1.69  perl-podlators=5.008  perl-safe=2.41_01  perl-scalar-list-utils=1.55
                  perl-search-dict=1.07  perl-selfloader=1.26  perl-socket=2.029  perl-storable=3.21  perl-sys-syslog=0.36  perl-term-ansicolor=5.01  perl-term-cap=1.17  perl-term-complete=1.403  perl-term-readline=1.17  perl-test-harness=3.42  perl-test-simple=1.302175  perl-test=1.31  perl-text-abbrev=1.02
                  perl-text-balanced=2.03  perl-text-parsewords=3.30  perl-text-tabs=2013.0523  perl-thread-queue=3.14  perl-thread-semaphore=2.13  perl-threads-shared=1.61  perl-threads=2.25  perl-tie-file=1.06  perl-tie-refhash=1.39  perl-time-hires=1.9764  perl-time-local=1.28  perl-time-piece=1.3401
                  perl-unicode-collate=1.27  perl-unicode-normalize=1.27  perl-version=0.9924  perl-xsloader=0.30
Depends On      : gdbm>=1.17  db  glibc  libxcrypt  libcrypt.so=2-64
Optional Deps   : None
Required By     : autoconf  automake  cowsay  festival  git  groff  hspell  hyphen  libwpg  netpbm  ntp  openssl-1.0  pacman-contrib  perl-clone  perl-encode-locale  perl-error  perl-file-listing  perl-html-tagset  perl-http-cookies  perl-http-daemon  perl-http-message  perl-http-negotiate  perl-io-html
                  perl-libwww  perl-lwp-mediatypes  perl-net-http  perl-parse-yapp  perl-timedate  perl-try-tiny  perl-uri  perl-www-robotrules  rsync  texinfo  tigervnc
Optional For    : aspell  gd  graphviz  gutenprint  hunspell  i3-wm  jemalloc  lftp  lib32-glibc  libproxy  lm_sensors  mpg123  openssl  qt5-base  vim
Conflicts With  : None
Replaces        : None
Installed Size  : 57.63 MiB
Packager        : Florian Pritz <bluewind@xinu.at>
Build Date      : Sat 06 Feb 2021 11:58:54 AM CET
Install Date    : Wed 03 Mar 2021 12:07:51 PM CET
Install Reason  : Explicitly installed
Install Script  : No
Validated By    : Signature

perl: 2805 total files, 0 altered files

Offline

#15 2021-05-15 09:17:13

Stefan_xyz
Member
Registered: 2019-09-01
Posts: 91

Re: auracle-git thinks it requires pod2man

Stefan Husmann wrote:

On my box /etc/profile.d/perlbin.sh looks like this:

cat /etc/profile.d/perlbin.sh
# Set path to perl scriptdirs if they exist
# https://wiki.archlinux.org/index.php/Perl_Policy#Binaries_and_scripts
# Added /usr/bin/*_perl dirs for scripts

[ -d /usr/bin/site_perl ] && PATH=$PATH:/usr/bin/site_perl

[ -d /usr/bin/vendor_perl ] && PATH=$PATH:/usr/bin/vendor_perl

[ -d /usr/bin/core_perl ] && PATH=$PATH:/usr/bin/core_perl

export PATH

# If you have modules in non-standard directories you can add them here.
#export PERLLIB=dir1:dir2

Mine looks like this:

# Set path to perl scriptdirs if they exist
# https://wiki.archlinux.org/index.php/Perl_Policy#Binaries_and_scripts
# Added /usr/bin/*_perl dirs for scripts

[ -d /usr/bin/site_perl ] && append_path '/usr/bin/site_perl'

[ -d /usr/bin/vendor_perl ] && append_path '/usr/bin/vendor_perl'

[ -d /usr/bin/core_perl ] && append_path '/usr/bin/core_perl'

export PATH

# If you have modules in non-standard directories you can add them here.
#export PERLLIB=dir1:dir2

Offline

#16 2021-05-15 09:18:22

Stefan_xyz
Member
Registered: 2019-09-01
Posts: 91

Re: auracle-git thinks it requires pod2man

progandy wrote:
ayekat wrote:

Because this part of PATH looks awkward:

Stefan_xyz wrote:
/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:…

/etc/profile doesn't add the paths to PATH in that order, and also it doesn't add /bin to PATH at all.

I have that as well using lightdm. I have not yet found the reason for that order, systemd starts lightdm with the path "/usr/local/sbin:/usr/local/bin:/usr/bin"...

Interesting note since I use lightdm as well.

Offline

#17 2021-05-15 09:32:05

progandy
Member
Registered: 2012-05-17
Posts: 4,428

Re: auracle-git thinks it requires pod2man

Scimmia wrote:
Stefan_xyz wrote:

You got any idea what I could try?

Did you merge your .pacnew files yet?

Have you done that? Possibly your /etc/profile file is missing append_path.


| alias CUTF='LANG=en_XX.UTF-8@POSIX ' |

Online

#18 2021-05-15 11:30:21

Scimmia
Fellow
Registered: 2012-09-01
Posts: 8,605

Re: auracle-git thinks it requires pod2man

Stefan Husmann wrote:

No, the file is owned by perl 5.32.1, which is in [core].

The file in perl 5.32.1 doesn't look like that.

Offline

#19 2021-05-15 17:01:00

Stefan Husmann
Member
From: Germany
Registered: 2007-08-07
Posts: 1,204

Re: auracle-git thinks it requires pod2man

Well, it is still 5.32.1 and your claim that it is 8 months old ist wrong. And it works for me. I now remember that I changed it because the append_path thingy did not work for me.

Offline

#20 2021-05-15 17:35:04

Scimmia
Fellow
Registered: 2012-09-01
Posts: 8,605

Re: auracle-git thinks it requires pod2man

Almost certainly because you didn't merge your .pacnew files.

Offline

#21 2021-05-17 11:44:30

Stefan_xyz
Member
Registered: 2019-09-01
Posts: 91

Re: auracle-git thinks it requires pod2man

progandy wrote:
Scimmia wrote:
Stefan_xyz wrote:

You got any idea what I could try?

Did you merge your .pacnew files yet?

Have you done that? Possibly your /etc/profile file is missing append_path.

I have read the wiki entry but I can't figure how I can merge them. I can find them that's not the problem but what do I do with this information?

Offline

#22 2021-05-17 11:51:04

progandy
Member
Registered: 2012-05-17
Posts: 4,428

Re: auracle-git thinks it requires pod2man

When you have found a .pacnew file, then you should compare it with the existing file. Integrate all changes from the pacnew into the existing file while keeping/adapting the changes you made on your own.
Merging the changes will be easier with a merge tool like vimdiff, meld, kdiff3, or kompare.

Last edited by progandy (2021-05-17 11:51:30)


| alias CUTF='LANG=en_XX.UTF-8@POSIX ' |

Online

#23 2021-05-18 11:02:21

Stefan_xyz
Member
Registered: 2019-09-01
Posts: 91

Re: auracle-git thinks it requires pod2man

progandy wrote:

When you have found a .pacnew file, then you should compare it with the existing file. Integrate all changes from the pacnew into the existing file while keeping/adapting the changes you made on your own.
Merging the changes will be easier with a merge tool like vimdiff, meld, kdiff3, or kompare.

Okay I checked and I got a /etc/profile.pacnew file but it's completely empty.

Offline

#24 2021-05-18 12:05:47

Scimmia
Fellow
Registered: 2012-09-01
Posts: 8,605

Re: auracle-git thinks it requires pod2man

Offline

#25 2021-05-22 13:27:38

Stefan_xyz
Member
Registered: 2019-09-01
Posts: 91

Re: auracle-git thinks it requires pod2man

Scimmia wrote:

My /etc/profile looks like this:

# /etc/profile

# Set our umask
umask 022

# Append our default paths
appendpath () {
    case ":$PATH:" in
        *:"$1":*)
            ;;
        *)
            PATH="${PATH:+$PATH:}$1"
    esac
}

appendpath '/usr/local/sbin'
appendpath '/usr/local/bin'
appendpath '/usr/bin'
unset appendpath

export PATH

# Load profiles from /etc/profile.d
if test -d /etc/profile.d/; then
	for profile in /etc/profile.d/*.sh; do
		test -r "$profile" && . "$profile"
	done
	unset profile
fi

# Source global bash config
if test "$PS1" && test "$BASH" && test -z ${POSIXLY_CORRECT+x} && test -r /etc/bash.bashrc; then
	. /etc/bash.bashrc
fi

# Termcap is outdated, old, and crusty, kill it.
unset TERMCAP

# Man is much better than us at figuring this out
unset MANPATH
PT7HOME=/opt/pt
export PT7HOME
QT_DEVICE_PIXEL_RATIO=auto
export QT_DEVICE_PIXEL_RATIO

Offline

Board footer

Powered by FluxBB